{
  description = "A flake providing espressifs rust fork for esp32";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixos-unstable";
    flake-utils.url = "github:numtide/flake-utils";
  };

  outputs = {
    nixpkgs,
    flake-utils,
    ...
  }:
    flake-utils.lib.eachDefaultSystem (
      system: let
        pkgs = nixpkgs.legacyPackages.${system};
      in {
        packages = rec {
          rust = import ./rust.nix {inherit pkgs system;};
          clang = import ./clang.nix {inherit pkgs system;};
          default = rust;
        };
      }
    );
}
